﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Windows.Data;
using System.ComponentModel;
using Telerik.Windows.Data;

namespace SL.GridCollectionViewSource
{
    public partial class MainPage : UserControl
    {
        public ICollectionView CollectionSource { get; set; }

        public MainPage()
        {
            InitializeComponent();

           

            var data= (from c in Enumerable.Range(0, 10) select new MyClass { ID = c, Name = "Name" + c }).ToList();
            this.CollectionSource = new CollectionViewSource(){Source=data}.View;
            this.DataContext = this.CollectionSource;
            //SortDescriptionsList.ItemsSource = this.CollectionSource.SortDescriptions;
            //GroupDescriptionsList.ItemsSource = this.CollectionSource.GroupDescriptions;

        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            this.CollectionSource.SortDescriptions.Add(new SortDescription("ID", ListSortDirection.Ascending));
        }

        private void Button_Click_1(object sender, RoutedEventArgs e)
        {
            this.CollectionSource.SortDescriptions.Add(new SortDescription("Name",ListSortDirection.Ascending));
        }

        private void Button_Click_2(object sender, RoutedEventArgs e)
        {
            this.CollectionSource.GroupDescriptions.Add(new PropertyGroupDescription("ID"));
        }

        private void Button_Click_3(object sender, RoutedEventArgs e)
        {
            this.CollectionSource.GroupDescriptions.Add(new PropertyGroupDescription("Name"));
        }
    }

    public class MyClass
    {
        public int ID { get; set; }
        public string Name { get; set; }
    }
}
